libvisio::VDXParser Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VDXParser Class Reference

`#include <VDXParser.h>`

Inheritance diagram for libvisio::VDXParser:

## Public Member Functions
| VDXParser (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)
virtual | ~VDXParser ()
bool | parseMain ()
bool | extractStencils ()
Public Member Functions inherited from libvisio::VSDXMLParserBase
| VSDXMLParserBase ()
virtual | ~VSDXMLParserBase ()

## Private Member Functions
| VDXParser ()
| VDXParser (const VDXParser &)
VDXParser & | operator= (const VDXParser &)
xmlChar * | readStringData (xmlTextReaderPtr reader)
int | getElementToken (xmlTextReaderPtr reader)
int | getElementDepth (xmlTextReaderPtr reader)
bool | processXmlDocument (librevenge::RVNGInputStream *input)
void | processXmlNode (xmlTextReaderPtr reader)
void | readLine (xmlTextReaderPtr reader)
void | readFillAndShadow (xmlTextReaderPtr reader)
void | readXFormData (xmlTextReaderPtr reader)
void | readMisc (xmlTextReaderPtr reader)
void | readTxtXForm (xmlTextReaderPtr reader)
void | readXForm1D (xmlTextReaderPtr reader)
void | readPageProps (xmlTextReaderPtr reader)
void | readFonts (xmlTextReaderPtr reader)
void | readTextBlock (xmlTextReaderPtr reader)
void | readForeignInfo (xmlTextReaderPtr reader)
void | readLayerMem (xmlTextReaderPtr reader)
void | readTabs (xmlTextReaderPtr reader)
void | readTab (xmlTextReaderPtr reader)
void | getBinaryData (xmlTextReaderPtr reader)

## Private Attributes
librevenge::RVNGInputStream * | m_input
librevenge::RVNGDrawingInterface * | m_painter

## Additional Inherited Members
Protected Member Functions inherited from libvisio::VSDXMLParserBase
int | readByteData (unsigned char &value, xmlTextReaderPtr reader)
int | readByteData (boost::optional< unsigned char > &value, xmlTextReaderPtr reader)
int | readUnsignedData (boost::optional< unsigned > &value, xmlTextReaderPtr reader)
int | readLongData (boost::optional< long > &value, xmlTextReaderPtr reader)
int | readLongData (long &value, xmlTextReaderPtr reader)
int | readDoubleData (boost::optional< double > &value, xmlTextReaderPtr reader)
int | readDoubleData (double &value, xmlTextReaderPtr reader)
int | readBoolData (boost::optional< bool > &value, xmlTextReaderPtr reader)
int | readBoolData (bool &value, xmlTextReaderPtr reader)
int | readExtendedColourData (Colour &value, long &idx, xmlTextReaderPtr reader)
int | readExtendedColourData (Colour &value, xmlTextReaderPtr reader)
int | readExtendedColourData (boost::optional< Colour > &value, xmlTextReaderPtr reader)
int | readNURBSData (boost::optional< NURBSData > &data, xmlTextReaderPtr reader)
int | readPolylineData (boost::optional< PolylineData > &data, xmlTextReaderPtr reader)
int | readStringData (VSDName &text, xmlTextReaderPtr reader)
unsigned | getIX (xmlTextReaderPtr reader)
virtual void | _handleLevelChange (unsigned level)
void | _flushShape ()
void | readEllipticalArcTo (xmlTextReaderPtr reader)
void | readEllipse (xmlTextReaderPtr reader)
void | readGeometry (xmlTextReaderPtr reader)
void | readMoveTo (xmlTextReaderPtr reader)
void | readLineTo (xmlTextReaderPtr reader)
void | readArcTo (xmlTextReaderPtr reader)
void | readNURBSTo (xmlTextReaderPtr reader)
void | readPolylineTo (xmlTextReaderPtr reader)
void | readInfiniteLine (xmlTextReaderPtr reader)
void | readRelCubBezTo (xmlTextReaderPtr reader)
void | readRelEllipticalArcTo (xmlTextReaderPtr reader)
void | readRelLineTo (xmlTextReaderPtr reader)
void | readRelMoveTo (xmlTextReaderPtr reader)
void | readRelQuadBezTo (xmlTextReaderPtr reader)
void | readForeignData (xmlTextReaderPtr reader)
void | readShape (xmlTextReaderPtr reader)
void | readColours (xmlTextReaderPtr reader)
void | readPage (xmlTextReaderPtr reader)
void | readText (xmlTextReaderPtr reader)
void | readCharIX (xmlTextReaderPtr reader)
void | readParaIX (xmlTextReaderPtr reader)
void | readLayerIX (xmlTextReaderPtr reader)
void | readLayerMember (xmlTextReaderPtr reader)
void | readStyleSheet (xmlTextReaderPtr reader)
void | readPageSheet (xmlTextReaderPtr reader)
void | readSplineStart (xmlTextReaderPtr reader)
void | readSplineKnot (xmlTextReaderPtr reader)
void | readStencil (xmlTextReaderPtr reader)
void | handlePagesStart (xmlTextReaderPtr reader)
void | handlePagesEnd (xmlTextReaderPtr reader)
void | handlePageStart (xmlTextReaderPtr reader)
void | handlePageEnd (xmlTextReaderPtr reader)
void | handleMastersStart (xmlTextReaderPtr reader)
void | handleMastersEnd (xmlTextReaderPtr reader)
void | handleMasterStart (xmlTextReaderPtr reader)
void | handleMasterEnd (xmlTextReaderPtr reader)
void | skipPages (xmlTextReaderPtr reader)
void | skipMasters (xmlTextReaderPtr reader)
Protected Attributes inherited from libvisio::VSDXMLParserBase
VSDCollector * | m_collector
VSDStencils | m_stencils
VSDStencil * | m_currentStencil
VSDShape | m_shape
bool | m_isStencilStarted
unsigned | m_currentStencilID
bool | m_extractStencils
bool | m_isInStyles
unsigned | m_currentLevel
unsigned | m_currentShapeLevel
std::map< unsigned, Colour > | m_colours
VSDFieldList | m_fieldList
VSDShapeList | m_shapeList
librevenge::RVNGBinaryData | m_currentBinaryData
std::stack< VSDShape > | m_shapeStack
std::stack< unsigned > | m_shapeLevelStack
bool | m_isShapeStarted
bool | m_isPageStarted
VSDGeometryList * | m_currentGeometryList
unsigned | m_currentGeometryListIndex
std::map< unsigned, VSDName > | m_fonts
std::map< unsigned, VSDTabStop > * | m_currentTabSet
XMLErrorWatcher * | m_watcher

## Constructor & Destructor Documentation

## § VDXParser() [1/3]

libvisio::VDXParser::VDXParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGDrawingInterface * | painter
| ) |  |
| explicit

## § ~VDXParser()

libvisio::VDXParser::~VDXParser | ( |  | ) |
| virtual

## § VDXParser() [2/3]

libvisio::VDXParser::VDXParser | ( |  | ) |
| private

## § VDXParser() [3/3]

libvisio::VDXParser::VDXParser | ( | const VDXParser & |  | ) |
| private

## Member Function Documentation

## § extractStencils()

bool libvisio::VDXParser::extractStencils | ( |  | ) |
| virtual

Implements libvisio::VSDXMLParserBase.

## § getBinaryData()

void libvisio::VDXParser::getBinaryData | ( | xmlTextReaderPtr | reader | ) |
| privatevirtual

Implements libvisio::VSDXMLParserBase.

## § getElementDepth()

int libvisio::VDXParser::getElementDepth | ( | xmlTextReaderPtr | reader | ) |
| privatevirtual

Implements libvisio::VSDXMLParserBase.

Referenced by processXmlNode(), readFillAndShadow(), readLine(), readPageProps(), and readTextBlock().

## § getElementToken()

int libvisio::VDXParser::getElementToken | ( | xmlTextReaderPtr | reader | ) |
| privatevirtual

Implements libvisio::VSDXMLParserBase.

Referenced by processXmlNode(), readFillAndShadow(), readFonts(), readForeignInfo(), readLayerMem(), readLine(), readMisc(), readPageProps(), readTab(), readTabs(), readTextBlock(), readTxtXForm(), readXForm1D(), and readXFormData().

## § operator=()

VDXParser& libvisio::VDXParser::operator= | ( | const VDXParser & |  | ) |
| private

## § parseMain()

bool libvisio::VDXParser::parseMain | ( |  | ) |
| virtual

Implements libvisio::VSDXMLParserBase.

Referenced by extractStencils().

## § processXmlDocument()

bool libvisio::VDXParser::processXmlDocument | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by parseMain().

## § processXmlNode()

void libvisio::VDXParser::processXmlNode | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlDocument().

## § readFillAndShadow()

void libvisio::VDXParser::readFillAndShadow | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## § readFonts()

void libvisio::VDXParser::readFonts | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## § readForeignInfo()

void libvisio::VDXParser::readForeignInfo | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## § readLayerMem()

void libvisio::VDXParser::readLayerMem | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## § readLine()

void libvisio::VDXParser::readLine | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## § readMisc()

void libvisio::VDXParser::readMisc | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## § readPageProps()

void libvisio::VDXParser::readPageProps | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## § readStringData()

xmlChar * libvisio::VDXParser::readStringData | ( | xmlTextReaderPtr | reader | ) |
| privatevirtual

Implements libvisio::VSDXMLParserBase.

Referenced by readLayerMem().

## § readTab()

void libvisio::VDXParser::readTab | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readTabs().

## § readTabs()

void libvisio::VDXParser::readTabs | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## § readTextBlock()

void libvisio::VDXParser::readTextBlock | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## § readTxtXForm()

void libvisio::VDXParser::readTxtXForm | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## § readXForm1D()

void libvisio::VDXParser::readXForm1D | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## § readXFormData()

void libvisio::VDXParser::readXFormData | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## Member Data Documentation

## § m_input

librevenge::RVNGInputStream* libvisio::VDXParser::m_input
| private

Referenced by parseMain().

## § m_painter

librevenge::RVNGDrawingInterface* libvisio::VDXParser::m_painter
| private

Referenced by parseMain().

The documentation for this class was generated from the following files:

- VDXParser.h
- VDXParser.cpp